html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
}

body {
  padding-top: 70px;
}

/**/
.home {
  padding-top: 100px;
  width: 100%;
  height: 100vh;
  background-image: linear-gradient(
      rgba(0, 0, 0, 0.3),
      rgba(129, 124, 124, 0.2)
    ),
    url(/images/homebackground.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.home .content {
  text-align: center;
  padding-top: 200px;
}
.home .content h5 {
  color: white;
  font-size: 38px;
  font-weight: 550;
  text-shadow: 0px 1px 1px black;
}
.home .content h1 {
  color: white;
  font-size: 70px;
  font-weight: 550;
  text-shadow: 0px 1px 1px black;
  margin-top: 5px;
}
.changecontent::after {
  content: " ";
  color: #ffa500;
  text-shadow: 0px 1px 1px black;
  animation: changetext 10s infinite linear;
}

@keyframes changetext {
  0% {
    content: "Column";
  }
  20% {
    content: "Beam";
  }
  40% {
    content: "Foundation";
  }
  60% {
    content: "Slab";
  }
  80% {
    content: "Retaining Wall";
  }
  100% {
    content: "Steel";
  }
}
.home .content p {
  color: white;
  font-size: 15px;
  font-weight: 600;
  text-shadow: 0px 1px 1px black;
  margin-bottom: 30px;
  margin-top: 5px;
}
.home .content a {
  padding: 10px;
  background: white;
  color: black;
  letter-spacing: 2px;
  font-weight: 550;
  border-radius: 5px;
  text-decoration: none;
  transition: 0.5s;
}
.home .content a:hover {
  background: #ffa500;
  color: white;
}
@media (max-width: 850px) {
  .home {
    background-position: 50%;
  }
}
@media (max-width: 450px) {
  .home .content h5 {
    font-size: 25px;
  }
  .home .content h1 {
    font-size: 38px;
  }
  .home .content p {
    font-size: 13px;
  }
}
/* Home Section End */

#logo {
  font-size: 36px;
  font-weight: 550;
  color: rgb(211, 204, 204);
  text-shadow: 0px 1px 1px black;
  margin-bottom: 5px;
}
#logo span {
  color: #037244;
}

#navbar-brand {
  padding-left: 10px;
}

#logButton {
  background-color: #ffa500; /* Custom orange */
  border-color: #ffa500;
  color: white;
}

#logButton:hover {
  background-color: #f1f0ef;
  border-color: #ca9877;
  color: #037244;
}

.home .styled-box {
  border: 2px solid rgba(255, 255, 255, 0.6);
  background-color: rgba(255, 255, 255, 0.6);
  padding: 5px;
  display: inline-block;
}

.home p.styled-box {
  color: #1434a4;
}

.home .modern-btn {
  display: inline-block;
  background-color: #00a36c;
  color: white;
  font-size: 18px;
  font-weight: bold;
  padding: 12px 24px;
  border-radius: 8px;
  text-decoration: none;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
  transition: all 0.3s ease-in-out;
}

.home .modern-btn:hover {
  background-color: #008f5a;
  transform: translateY(-3px);
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.3);
}

.home .modern-btn:active {
  transform: translateY(1px);
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.2);
}

.HomeTutorial {
  padding-top: 70px;
  width: 100%;
  height: 100vh;
  background-image: linear-gradient(
    rgba(71, 114, 78, 0.3),
    rgba(132, 204, 159, 0.2)
  );
}

.youtubePlayer {
  aspect-ratio: 16/9;
  width: 100%;
  border: none;
}
